Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.addrbook
Class WorkingCalendar

    java.lang.Object
      com.knowgate.addrbook.WorkingCalendar

    public class WorkingCalendar

extends java.lang.Object

Represents a working/non working time calendar

Field Summary
`static short` | `ClassId`

Constructor Summary
`` | `WorkingCalendar()` Default constructor for an empty calendar
`protected` | `WorkingCalendar(int nDays, java.lang.String sNmCalendar, java.util.Date dtFrom, java.util.Date dtTo)`
`` | `WorkingCalendar(JDCConnection oConn, java.lang.String sGuCalendar)` Create calendar and load it from the database
`` | `WorkingCalendar(java.lang.String sGuCalendar)` Create empty calendar with given GUID

Method Summary
`void` | `addNonWorkingTime(JDCConnection oConn, java.util.Date dtFrom, java.util.Date dtTo)`
`void` | `addNonWorkingTime(JDCConnection oConn, java.util.Date dtFrom, java.util.Date dtTo, java.lang.String sDescription)`
`void` | `addTime(JDCConnection oConn, java.util.Date dtFrom, java.util.Date dtTo, boolean bWorking, java.util.Set oWeeklyHolidays, java.lang.String sDescription)`
`void` | `addTime(JDCConnection oConn, java.util.Date dtFrom, java.util.Date dtTo, short HourStart, short MinuteStart, short HourEnd, short MinuteEnd, boolean bWorking, java.util.Set oWeeklyHolidays, java.lang.String sDescription)`
`void` | `addTime(JDCConnection oConn, java.util.Date dtFrom, java.util.Date dtTo, short MorningHourStart, short MorningMinuteStart, short MorningHourEnd, short MorningMinuteEnd, short EveningHourStart, short EveningMinuteStart, short EveningHourEnd, short EveningMinuteEnd, boolean bWorking, java.util.Set oWeeklyHolidays, java.lang.String sDescription)`
`void` | `addTime(JDCConnection oConn, java.util.Date dtFrom, short MorningHourStart, short MorningMinuteStart, short MorningHourEnd, short MorningMinuteEnd, short EveningHourStart, short EveningMinuteStart, short EveningHourEnd, short EveningMinuteEnd, boolean[] aWorking, java.lang.String sDescription)`
`void` | `addWorkingTime(JDCConnection oConn, java.util.Date dtFrom, java.util.Date dtTo)`
`void` | `addWorkingTime(JDCConnection oConn, java.util.Date dtFrom, java.util.Date dtTo, java.util.Set oWeeklyHolidays, java.lang.String sDescription)`
`void` | `addWorkingTime(JDCConnection oConn, java.util.Date dtFrom, java.util.Date dtTo, short MorningHourStart, short MorningMinuteStart, short MorningHourEnd, short MorningMinuteEnd)`
`void` | `addWorkingTime(JDCConnection oConn, java.util.Date dtFrom, java.util.Date dtTo, short MorningHourStart, short MorningMinuteStart, short MorningHourEnd, short MorningMinuteEnd, java.util.Set oWeeklyHolidays)`
`void` | `addWorkingTime(JDCConnection oConn, java.util.Date dtFrom, java.util.Date dtTo, short MorningHourStart, short MorningMinuteStart, short MorningHourEnd, short MorningMinuteEnd, java.util.Set oWeeklyHolidays, java.lang.String sDescription)`
`void` | `addWorkingTime(JDCConnection oConn, java.util.Date dtFrom, java.util.Date dtTo, short MorningHourStart, short MorningMinuteStart, short MorningHourEnd, short MorningMinuteEnd, short EveningHourStart, short EveningMinuteStart, short EveningHourEnd, short EveningMinuteEnd, java.util.Set oWeeklyHolidays, java.lang.String sDescription)`
`void` | `addWorkingTime(JDCConnection oConn, java.util.Date dtFrom, java.util.Date dtTo, short MorningHourStart, short MorningMinuteStart, short MorningHourEnd, short MorningMinuteEnd, short EveningHourStart, short EveningMinuteStart, short EveningHourEnd, short EveningMinuteEnd, java.lang.String sDescription)`
`void` | `addWorkingTime(JDCConnection oConn, java.util.Date dtFrom, java.util.Date dtTo, short MorningHourStart, short MorningMinuteStart, short MorningHourEnd, short MorningMinuteEnd, java.lang.String sDescription)`
`void` | `addWorkingTime(JDCConnection oConn, java.util.Date dtFrom, java.util.Date dtTo, java.lang.String sDescription)`
`static DBSubset` | `byCountry(JDCConnection oConn, int iDomainId, java.lang.String sWorkAreaId, java.lang.String sLanguage)`
`static DBSubset` | `byGroup(JDCConnection oConn, int iDomainId, java.lang.String sWorkAreaId)`
`static DBSubset` | `byState(JDCConnection oConn, int iDomainId, java.lang.String sWorkAreaId, java.lang.String sCountryId)`
`static DBSubset` | `byUser(JDCConnection oConn, int iDomainId, java.lang.String sWorkAreaId)`
`static WorkingCalendar` | `create(JDCConnection oConn, int iDomainId, java.lang.String sWorkAreaId, java.lang.String sCalendarName, java.util.Date dtFrom, java.util.Date dtTo, java.lang.String sGroupId, java.lang.String sUserId, java.lang.String sCountryId, java.lang.String sStateId, java.lang.String sZoneId, java.util.Set oWeeklyHolidays)`
`static WorkingCalendar` | `create(JDCConnection oConn, int iDomainId, java.lang.String sWorkAreaId, java.lang.String sCalendarName, java.util.Date dtFrom, java.util.Date dtTo, java.lang.String sGroupId, java.lang.String sUserId, java.lang.String sCountryId, java.lang.String sStateId, java.lang.String sZoneId, short MorningHourStart, short MorningMinuteStart, short MorningHourEnd, short MorningMinuteEnd, short EveningHourStart, short EveningMinuteStart, short EveningHourEnd, short EveningMinuteEnd, java.util.Set oWeeklyHolidays)`
`void` | `delete(JDCConnection oConn)`
`static void` | `delete(JDCConnection oConn, java.lang.String sGuCalendar)`
`int` | `deleteTime(JDCConnection oConn, java.util.Date dtFrom, java.util.Date dtTo)`
`int` | `deleteTime(JDCConnection oConn, java.util.Date dtFrom, long nDays)`
`static WorkingCalendar` | `forUser(JDCConnection oConn, java.lang.String sUserId, java.util.Date dtFrom, java.util.Date dtTo, java.lang.String sCountryId, java.lang.String sStateId)`
`java.util.Date` | `getCreationDate(JDCConnection oConn)`
`int` | `getDayCount()` Get number of days from the earliest date to the latest date covered by this calendar
`java.util.Date` | `getFromDate()`
`java.lang.String` | `getName()`
`java.lang.String` | `getString(java.lang.String sColumnName)`
`java.lang.String` | `getStringNull(java.lang.String sColumnName, java.lang.String sDefault)`
`java.util.Date` | `getToDate()`
`short[]` | `getWorkDaysArray(JDCConnection oConn, int iFromYear, int iFromMonth, int nMonths)` Get array of working vs. non-working days for a months period
`java.lang.Boolean` | `isWorkingDay(java.util.Date oDate)` Get working / non working day status
`java.lang.Boolean` | `isWorkingDay(int iDate)` Get working / non working day status
`java.lang.Boolean` | `isWorkingDay(long lDate)` Get working / non working day status
`java.lang.Boolean` | `isWorkingTime(java.util.Date dt)`
`java.lang.Boolean` | `isWorkingTime(int iDate, int iHour, int iMin)` Check if a given hour and minute falls into the working intervals of a day
`boolean` | `load(JDCConnection oConn, java.lang.String sGuCalendar)` Load calendar from database including working time
`WorkingCalendar` | `merge(WorkingCalendar oLocalCalendar)`
`void` | `put(java.lang.String sColunmName, java.util.Date dtValue)`
`void` | `put(java.lang.String sColunmName, int iValue)`
`void` | `put(java.lang.String sColunmName, java.lang.String sValue)`
`boolean` | `store(JDCConnection oConn)`
`static java.util.Date` | `toDate(int iDt)`
`static java.util.Date` | `toDate(java.lang.String sYearMonthDate)`
`static java.util.Date` | `toDate(java.lang.String sYear, java.lang.String sMonth, java.lang.String sDate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ClassId

    public static final short ClassId

See Also:
  Constant Field Values

Constructor Detail

### WorkingCalendar

    public WorkingCalendar()

  Default constructor for an empty calendar

### WorkingCalendar

    public WorkingCalendar(java.lang.String sGuCalendar)

  Create empty calendar with given GUID

### WorkingCalendar

    public WorkingCalendar(JDCConnection oConn,
                           java.lang.String sGuCalendar)
                    throws java.sql.SQLException

  Create calendar and load it from the database

  Throws:
    `java.sql.SQLException`

### WorkingCalendar

    protected WorkingCalendar(int nDays,
                              java.lang.String sNmCalendar,
                              java.util.Date dtFrom,
                              java.util.Date dtTo)

Method Detail

### load

    public boolean load(JDCConnection oConn,
                        java.lang.String sGuCalendar)
                 throws java.sql.SQLException

  Load calendar from database including working time

  Parameters:
    `JDCConnection` -
    `sGuCalendar` - String GUID of Working Calendar to be loaded
  Throws:
    `java.sql.SQLException`

### store

    public boolean store(JDCConnection oConn)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getDayCount

    public int getDayCount()

  Get number of days from the earliest date to the latest date covered by this calendar

### isWorkingDay

    public java.lang.Boolean isWorkingDay(int iDate)
                                   throws java.lang.NullPointerException

  Get working / non working day status

  Parameters:
    `iDate` - An integer representing a date in format yyyymmdd
  Returns:
    Boolean True if given date is a working day, False if given date is a holiday, or null if given date is not defined at this calendar
  Throws:
    `java.lang.NullPointerException`

### isWorkingDay

    public java.lang.Boolean isWorkingDay(java.util.Date oDate)
                                   throws java.lang.NullPointerException

  Get working / non working day status

  Parameters:
    `oDate` - Date to be checked
  Returns:
    Boolean True if given date is a working day, False if given date is a holiday, or null if given date is not defined at this calendar
  Throws:
    `java.lang.NullPointerException`

### isWorkingDay

    public java.lang.Boolean isWorkingDay(long lDate)

  Get working / non working day status

  Parameters:
    `lDate` - An long representing a date in miliseconds
  Returns:
    Boolean True if given date is a working day, False if given date is a holiday, or null if given date is not defined at this calendar

### isWorkingTime

    public java.lang.Boolean isWorkingTime(int iDate,
                                           int iHour,
                                           int iMin)

  Check if a given hour and minute falls into the working intervals of a day

  Parameters:
    `iDate` -

### isWorkingTime

    public java.lang.Boolean isWorkingTime(java.util.Date dt)

### addTime

    public void addTime(JDCConnection oConn,
                        java.util.Date dtFrom,
                        short MorningHourStart,
                        short MorningMinuteStart,
                        short MorningHourEnd,
                        short MorningMinuteEnd,
                        short EveningHourStart,
                        short EveningMinuteStart,
                        short EveningHourEnd,
                        short EveningMinuteEnd,
                        boolean[] aWorking,
                        java.lang.String sDescription)
                 throws java.sql.SQLException,
                        java.lang.IllegalStateException,
                        java.lang.IllegalArgumentException,
                        java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

### addTime

    public void addTime(JDCConnection oConn,
                        java.util.Date dtFrom,
                        java.util.Date dtTo,
                        short MorningHourStart,
                        short MorningMinuteStart,
                        short MorningHourEnd,
                        short MorningMinuteEnd,
                        short EveningHourStart,
                        short EveningMinuteStart,
                        short EveningHourEnd,
                        short EveningMinuteEnd,
                        boolean bWorking,
                        java.util.Set oWeeklyHolidays,
                        java.lang.String sDescription)
                 throws java.sql.SQLException,
                        java.lang.IllegalStateException,
                        java.lang.IllegalArgumentException,
                        java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

### addTime

    public void addTime(JDCConnection oConn,
                        java.util.Date dtFrom,
                        java.util.Date dtTo,
                        short HourStart,
                        short MinuteStart,
                        short HourEnd,
                        short MinuteEnd,
                        boolean bWorking,
                        java.util.Set oWeeklyHolidays,
                        java.lang.String sDescription)
                 throws java.sql.SQLException,
                        java.lang.IllegalStateException,
                        java.lang.IllegalArgumentException,
                        java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

### addTime

    public void addTime(JDCConnection oConn,
                        java.util.Date dtFrom,
                        java.util.Date dtTo,
                        boolean bWorking,
                        java.util.Set oWeeklyHolidays,
                        java.lang.String sDescription)
                 throws java.sql.SQLException,
                        java.lang.IllegalStateException,
                        java.lang.IllegalArgumentException,
                        java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

### addWorkingTime

    public void addWorkingTime(JDCConnection oConn,
                               java.util.Date dtFrom,
                               java.util.Date dtTo,
                               short MorningHourStart,
                               short MorningMinuteStart,
                               short MorningHourEnd,
                               short MorningMinuteEnd,
                               short EveningHourStart,
                               short EveningMinuteStart,
                               short EveningHourEnd,
                               short EveningMinuteEnd,
                               java.util.Set oWeeklyHolidays,
                               java.lang.String sDescription)
                        throws java.sql.SQLException,
                               java.lang.IllegalStateException,
                               java.lang.IllegalArgumentException,
                               java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

### addWorkingTime

    public void addWorkingTime(JDCConnection oConn,
                               java.util.Date dtFrom,
                               java.util.Date dtTo,
                               short MorningHourStart,
                               short MorningMinuteStart,
                               short MorningHourEnd,
                               short MorningMinuteEnd,
                               short EveningHourStart,
                               short EveningMinuteStart,
                               short EveningHourEnd,
                               short EveningMinuteEnd,
                               java.lang.String sDescription)
                        throws java.sql.SQLException,
                               java.lang.IllegalStateException,
                               java.lang.IllegalArgumentException,
                               java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

### addWorkingTime

    public void addWorkingTime(JDCConnection oConn,
                               java.util.Date dtFrom,
                               java.util.Date dtTo,
                               short MorningHourStart,
                               short MorningMinuteStart,
                               short MorningHourEnd,
                               short MorningMinuteEnd,
                               java.util.Set oWeeklyHolidays,
                               java.lang.String sDescription)
                        throws java.sql.SQLException,
                               java.lang.IllegalStateException,
                               java.lang.IllegalArgumentException,
                               java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

### addWorkingTime

    public void addWorkingTime(JDCConnection oConn,
                               java.util.Date dtFrom,
                               java.util.Date dtTo,
                               short MorningHourStart,
                               short MorningMinuteStart,
                               short MorningHourEnd,
                               short MorningMinuteEnd,
                               java.util.Set oWeeklyHolidays)
                        throws java.sql.SQLException,
                               java.lang.IllegalStateException,
                               java.lang.IllegalArgumentException,
                               java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

### addWorkingTime

    public void addWorkingTime(JDCConnection oConn,
                               java.util.Date dtFrom,
                               java.util.Date dtTo,
                               short MorningHourStart,
                               short MorningMinuteStart,
                               short MorningHourEnd,
                               short MorningMinuteEnd,
                               java.lang.String sDescription)
                        throws java.sql.SQLException,
                               java.lang.IllegalStateException,
                               java.lang.IllegalArgumentException,
                               java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

### addWorkingTime

    public void addWorkingTime(JDCConnection oConn,
                               java.util.Date dtFrom,
                               java.util.Date dtTo,
                               short MorningHourStart,
                               short MorningMinuteStart,
                               short MorningHourEnd,
                               short MorningMinuteEnd)
                        throws java.sql.SQLException,
                               java.lang.IllegalStateException,
                               java.lang.IllegalArgumentException,
                               java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

### addWorkingTime

    public void addWorkingTime(JDCConnection oConn,
                               java.util.Date dtFrom,
                               java.util.Date dtTo,
                               java.util.Set oWeeklyHolidays,
                               java.lang.String sDescription)
                        throws java.sql.SQLException,
                               java.lang.IllegalStateException,
                               java.lang.IllegalArgumentException,
                               java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

### addWorkingTime

    public void addWorkingTime(JDCConnection oConn,
                               java.util.Date dtFrom,
                               java.util.Date dtTo,
                               java.lang.String sDescription)
                        throws java.sql.SQLException,
                               java.lang.IllegalStateException,
                               java.lang.IllegalArgumentException,
                               java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

### addWorkingTime

    public void addWorkingTime(JDCConnection oConn,
                               java.util.Date dtFrom,
                               java.util.Date dtTo)
                        throws java.sql.SQLException,
                               java.lang.IllegalStateException,
                               java.lang.IllegalArgumentException,
                               java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

### addNonWorkingTime

    public void addNonWorkingTime(JDCConnection oConn,
                                  java.util.Date dtFrom,
                                  java.util.Date dtTo,
                                  java.lang.String sDescription)
                           throws java.sql.SQLException,
                                  java.lang.IllegalStateException,
                                  java.lang.IllegalArgumentException,
                                  java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

### addNonWorkingTime

    public void addNonWorkingTime(JDCConnection oConn,
                                  java.util.Date dtFrom,
                                  java.util.Date dtTo)
                           throws java.sql.SQLException,
                                  java.lang.IllegalStateException,
                                  java.lang.IllegalArgumentException,
                                  java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`

### delete

    public void delete(JDCConnection oConn)
                throws java.sql.SQLException,
                       java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.NullPointerException`

### deleteTime

    public int deleteTime(JDCConnection oConn,
                          java.util.Date dtFrom,
                          java.util.Date dtTo)
                   throws java.sql.SQLException,
                          java.lang.IllegalStateException,
                          java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`

### deleteTime

    public int deleteTime(JDCConnection oConn,
                          java.util.Date dtFrom,
                          long nDays)
                   throws java.sql.SQLException,
                          java.lang.IllegalStateException,
                          java.lang.IllegalArgumentException

  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalStateException`
    `java.lang.IllegalArgumentException`

### getWorkDaysArray

    public short[] getWorkDaysArray(JDCConnection oConn,
                                    int iFromYear,
                                    int iFromMonth,
                                    int nMonths)
                             throws java.lang.IllegalArgumentException,
                                    java.sql.SQLException

  Get array of working vs. non-working days for a months period

  Parameters:
    `JDCConnection` -
    `iFromYear` - int Year to start from
    `iFromMonth` - int Month to start from [0..11]
  Returns:
    Array of short values one for each day starting from the given year and month and lasting n-months. Each value of the array may be 1 meaning a WorkDay, -1 meaning a Holyday or 0 meaning that the day is not defined neither as Workday nor as Holyday at this calendar.
  Throws:
    `java.lang.IllegalArgumentException` - if iFromYear<1900 or iFromMonth not between 0 and 11 or nMonths is less than 1
    `java.sql.SQLException`

### getString

    public java.lang.String getString(java.lang.String sColumnName)

### getStringNull

    public java.lang.String getStringNull(java.lang.String sColumnName,
                                          java.lang.String sDefault)

### getName

    public java.lang.String getName()

### getCreationDate

    public java.util.Date getCreationDate(JDCConnection oConn)
                                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getFromDate

    public java.util.Date getFromDate()

### getToDate

    public java.util.Date getToDate()

### put

    public void put(java.lang.String sColunmName,
                    java.lang.String sValue)

### put

    public void put(java.lang.String sColunmName,
                    int iValue)

### put

    public void put(java.lang.String sColunmName,
                    java.util.Date dtValue)

### merge

    public WorkingCalendar merge(WorkingCalendar oLocalCalendar)
                          throws java.lang.NullPointerException

  Throws:
    `java.lang.NullPointerException`

### create

    public static WorkingCalendar create(JDCConnection oConn,
                                         int iDomainId,
                                         java.lang.String sWorkAreaId,
                                         java.lang.String sCalendarName,
                                         java.util.Date dtFrom,
                                         java.util.Date dtTo,
                                         java.lang.String sGroupId,
                                         java.lang.String sUserId,
                                         java.lang.String sCountryId,
                                         java.lang.String sStateId,
                                         java.lang.String sZoneId,
                                         short MorningHourStart,
                                         short MorningMinuteStart,
                                         short MorningHourEnd,
                                         short MorningMinuteEnd,
                                         short EveningHourStart,
                                         short EveningMinuteStart,
                                         short EveningHourEnd,
                                         short EveningMinuteEnd,
                                         java.util.Set oWeeklyHolidays)
                                  throws java.sql.SQLException,
                                         java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.NullPointerException`

### create

    public static WorkingCalendar create(JDCConnection oConn,
                                         int iDomainId,
                                         java.lang.String sWorkAreaId,
                                         java.lang.String sCalendarName,
                                         java.util.Date dtFrom,
                                         java.util.Date dtTo,
                                         java.lang.String sGroupId,
                                         java.lang.String sUserId,
                                         java.lang.String sCountryId,
                                         java.lang.String sStateId,
                                         java.lang.String sZoneId,
                                         java.util.Set oWeeklyHolidays)
                                  throws java.sql.SQLException,
                                         java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.NullPointerException`

### delete

    public static void delete(JDCConnection oConn,
                              java.lang.String sGuCalendar)
                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### toDate

    public static java.util.Date toDate(int iDt)

### toDate

    public static java.util.Date toDate(java.lang.String sYear,
                                        java.lang.String sMonth,
                                        java.lang.String sDate)
                                 throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### toDate

    public static java.util.Date toDate(java.lang.String sYearMonthDate)
                                 throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### byGroup

    public static DBSubset byGroup(JDCConnection oConn,
                                   int iDomainId,
                                   java.lang.String sWorkAreaId)
                            throws java.sql.SQLException,
                                   java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.NullPointerException`

### byUser

    public static DBSubset byUser(JDCConnection oConn,
                                  int iDomainId,
                                  java.lang.String sWorkAreaId)
                           throws java.sql.SQLException,
                                  java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.NullPointerException`

### byCountry

    public static DBSubset byCountry(JDCConnection oConn,
                                     int iDomainId,
                                     java.lang.String sWorkAreaId,
                                     java.lang.String sLanguage)
                              throws java.sql.SQLException,
                                     java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.NullPointerException`

### byState

    public static DBSubset byState(JDCConnection oConn,
                                   int iDomainId,
                                   java.lang.String sWorkAreaId,
                                   java.lang.String sCountryId)
                            throws java.sql.SQLException,
                                   java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.NullPointerException`

### forUser

    public static WorkingCalendar forUser(JDCConnection oConn,
                                          java.lang.String sUserId,
                                          java.util.Date dtFrom,
                                          java.util.Date dtTo,
                                          java.lang.String sCountryId,
                                          java.lang.String sStateId)
                                   throws java.sql.SQLException,
                                          java.lang.NullPointerException

  Throws:
    `java.sql.SQLException`
    `java.lang.NullPointerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD